Bug 493190 - Keyboard navigation problem with Greasemonkey scripts on x86_64
Keyboard navigation problem with Greasemonkey scripts on x86_64
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
http://userscripts.org/topics/24144
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-31 17:35 EDT by Michel Alexandre Salim
Modified: 2010-01-11 10:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-11 10:39:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2009-03-31 17:35:26 EDT
Description of problem:
On i586, Folders4Gmail works fine with the latest Firefox. On x86_64, if it is enabled, the first time I try navigating by typing more than one character (e.g. selecting the "firefox" component on Bugzilla by typing "firef", I can no longer use the keyboard to navigate (e.g. in Gmail and Google Reader, using j and k to navigate to the next/previous message)

Version-Release number of selected component (if applicable):
firefox-3.1-0.11.beta3.fc11.x86_64
xulrunner-1.9.1-0.11.beta3.fc11.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Install Greasemonkey addon and then Folders4Gmail (http://userscripts.org/scripts/show/8810)
2. Alternatively, install the Better Gmail 2 addon
3. Verify that in Google Reader, j and k navigation works
4. Try entering a new bug in Bugzilla and select a component by typing its first few characters
5. Or use Gmail, enable keyboard shortcuts, enable goto-label (gl) feature from Labs, and type "gl"
6. Retry (3) or (4)
  
Actual results:
Step (6) fails

Expected results:
Should just work

Additional info:
The same sequence works on i586. This is tested on a fresh FFox profile. Disabling Folders4Gmail (leaving Better Gmail 2 and/or Greasemonkey installed) causes keyboard navigation to work fine on x86_64

See URL for corresponding bug report for Folders4Gmail
Comment 1 Michel Alexandre Salim 2009-03-31 22:38:10 EDT
This also affects AideRSS's Google Reader Greasemonkey script: http://gr.aiderss.com/

On i586, I can navigate in Google Reader using keyboard just fine. On x86_64, the script works (Folders4Gmail works too), but I can no longer use j and k to move between news items.

Disabling Greasemonkey after the problem exhibits itself does not help; I'd have to disable the userscripts (or disable Greasemonkey) and restart the browser.
Comment 2 Matěj Cepl 2009-04-01 05:44:58 EDT
Please file a bug report in the the upstream bugzilla located at http://bugzilla.mozilla.org in the particular component.

Once you've filed your bug report to the upstream bugzilla, if you paste the new bug URL here, Red Hat will continue to track the issue in the centralized upstream bug tracker, and will review any bug fixes that become available for consideration in future updates.

Setting status to NEEDINFO, and awaiting upstream bug report URL for tracking.

Thanks in advance.
Comment 3 Bug Zapper 2009-06-09 08:53:48 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Chris Campbell 2009-11-28 11:20:54 EST
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Chris Campbell 2010-01-11 10:39:01 EST

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.